<?php
session_start();
  require("config.php");
  // o usuário está logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

 // tem permissão para cadastrar?
  if(!Permissao::podeCadastrar($_SESSION["nivel_acesso"])){
	header("Location: erro_permissao.php");
    exit;  
  }
  // fim permissão para cadastrar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$tipo = tratar_entrada(utf8_decode(trim($_POST["tipo"])));
$id_cliente_fornecedor = tratar_entrada(utf8_decode(trim($_POST["id_cliente_fornecedor"])));
$plano = tratar_entrada(utf8_decode(trim($_POST["plano"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));
$vencimento = tratar_entrada(utf8_decode(trim($_POST["vencimento"])));

$valor = tratar_entrada(utf8_decode(trim($_POST["valor"])));
$valor = str_replace(".", "", $valor);
$valor = str_replace(",", ".", $valor);
  
  if(isset($_POST["repete"])){
	$quantidade = tratar_entrada(utf8_decode(trim($_POST["quantidade"])));
	$frequencia = tratar_entrada(utf8_decode(trim($_POST["frequencia"])));
	
	$dados_vencimento = explode("-", $vencimento);
	$dia = $dados_vencimento[2];
	$mes = $dados_vencimento[1];
	$ano = $dados_vencimento[0];
	
	for($i = 1; $i <= $quantidade; $i++){
	   $vencimento = mktime(0, 0, 0, $mes, $dia, $ano);
	   $vencimento_temp = date("Y-m-d", $vencimento);
	   
	   $result = mysqli_query($conexao, "INSERT into contas_pagar_receber values (null, '$id_cliente_fornecedor', '$tipo', '$plano', '$descricao', 
          '$valor', NOW(), '$id_usuario_logado', '$vencimento_temp')");
	   
	   if($frequencia == "mensal"){
		  $mes++;   
	   }
	   else if($frequencia == "anual"){
		  $ano++;   
	   }
	   else if($frequencia == "semanal"){
		  $dia = $dia + 7;   
	   }
	   else if($frequencia == "quinzenal"){
		  $dia = $dia + 15;   
	   }
	   else if($frequencia == "diario"){
		  $dia = $dia + 1;   
	   }
	} 
  }
  else{  
    // id	id_cliente_fornecedor	tipo	id_plano	descricao	valor	data_cadastro	usuario_cadastro	vencimento
    $result = mysqli_query($conexao, "INSERT into contas_pagar_receber values (null, '$id_cliente_fornecedor', '$tipo', '$plano', '$descricao', 
     '$valor', NOW(), '$id_usuario_logado', '$vencimento')");
  }

  if($result){
	  
	   // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' cadastrou uma nova ' . (($tipo == "1") ? ' conta a Pagar: ' : ' conta a receber: ') . $descricao . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: nova_conta_pagar_receber.php?tipo=$tipo&sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de contas a pagar e a receber.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
